using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class UpdateRankConfig : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_DonationRankConfig_ChannelID_MemberID",
                table: "DonationRankConfig");

            migrationBuilder.CreateIndex(
                name: "IX_DonationRankConfig_ChannelID",
                table: "DonationRankConfig",
                column: "ChannelID");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_DonationRankConfig_ChannelID",
                table: "DonationRankConfig");

            migrationBuilder.CreateIndex(
                name: "IX_DonationRankConfig_ChannelID_MemberID",
                table: "DonationRankConfig",
                columns: new[] { "ChannelID", "MemberID" },
                unique: true);
        }
    }
}
